Bug 222520 - security/py-openssl: Fix RUN_DEPENDS
Summary: security/py-openssl: Fix RUN_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on: 222519
Blocks: 222536
  Show dependency treegraph
 
Reported: 2017-09-22 20:48 UTC by Yasuhiro KIMURA
Modified: 2017-09-25 09:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sbz)


Attachments
patch file (631 bytes, patch)
2017-09-22 20:48 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (461 bytes, patch)
2017-09-23 11:07 UTC, Yasuhiro KIMURA
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2017-09-22 20:48:44 UTC
Created attachment 186622 [details]
patch file

* Fix RUN_DEPENDS because this version requires cryptography 1.9 or newer.
* Bump PORTREVESION because of dependency change.

Please keep in mind bug #222519 must be committed before committing this PR.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-09-23 03:49:31 UTC
You do not have to bump PORTREVISION for version change because the dependency list remains unchanged.
Comment 2 Yasuhiro KIMURA 2017-09-23 11:07:44 UTC
Created attachment 186639 [details]
updated patch file

(In reply to Po-Chuan Hsieh from comment #1)

Thank you for pointing it out. I updated patch so please commit it instead of original one.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-24 02:34:49 UTC
I'll take care of this with the cryptography update, if you're OK with that sbz (I have fixes for test target to make it work as well)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-25 09:15:58 UTC
Comment on attachment 186639 [details]
updated patch file

Approved by: portmgr (blanket)
Comment 5 commit-hook freebsd_committer 2017-09-25 09:23:20 UTC
A commit references this bug:

Author: koobs
Date: Mon Sep 25 09:22:14 UTC 2017
New revision: 450578
URL: https://svnweb.freebsd.org/changeset/ports/450578

Log:
  security/py-openssl: Fix RUN_DEPENDS

  - Fix RUN_DEPENDS minimum version of cryptography to match that in setup.py [1]
  - Remove EXAMPLESDIR, already set and noop'd by USE_PYTHON=concurrent

  PR:		222520 [1]
  Submitted by:	Yasuhiro KIMURA <yasu utahime org> [1]
  Approved by:	portmgr (blanket)

Changes:
  head/security/py-openssl/Makefile
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-25 09:24:16 UTC
Committed. Thank for your report Yasuhiro